| XMP Toolkit SDK 6.0.0

Macros | Functions
WXMPFiles.hpp File Reference

High level support to access metadata in files of interest to Adobe applications. More...

`#include "client-glue/WXMP_Common.hpp"`

Go to the source code of this file.

## Macros
#define | WrapCheckXMPFilesRef(result, WCallProto)
#define | zXMPFiles_GetVersionInfo_1(versionInfo) WXMPFiles_GetVersionInfo_1 ( versionInfo /* no wResult */ )
#define | zXMPFiles_Initialize_1(options) WXMPFiles_Initialize_1 ( options, &wResult )
#define | zXMPFiles_Initialize_2(options, pluginFolder, plugins) WXMPFiles_Initialize_2 ( options, pluginFolder, plugins, &wResult )
#define | zXMPFiles_Terminate_1() WXMPFiles_Terminate_1 ( /* no wResult */ )
#define | zXMPFiles_CTor_1() WXMPFiles_CTor_1 ( &wResult )
#define | zXMPFiles_GetFormatInfo_1(format, flags) WXMPFiles_GetFormatInfo_1 ( format, flags, &wResult )
#define | zXMPFiles_CheckFileFormat_1(filePath) WXMPFiles_CheckFileFormat_1 ( filePath, &wResult )
#define | zXMPFiles_CheckPackageFormat_1(folderPath) WXMPFiles_CheckPackageFormat_1 ( folderPath, &wResult )
#define | zXMPFiles_GetFileModDate_1(filePath, modDate, format, options) WXMPFiles_GetFileModDate_1 ( filePath, modDate, format, options, &wResult )
#define | zXMPFiles_GetAssociatedResources_1(filePath, resourceList, format, options, SetClientStringVector) WXMPFiles_GetAssociatedResources_1 ( filePath, resourceList, format, options, SetClientStringVector, &wResult )
#define | zXMPFiles_IsMetadataWritable_1(filePath, writable, format, options) WXMPFiles_IsMetadataWritable_1 ( filePath, writable, format, options, &wResult )
#define | zXMPFiles_OpenFile_1(filePath, format, openFlags) WXMPFiles_OpenFile_1 ( this->xmpFilesRef, filePath, format, openFlags, &wResult )
#define | zXMPFiles_CloseFile_1(closeFlags) WXMPFiles_CloseFile_1 ( this->xmpFilesRef, closeFlags, &wResult )
#define | zXMPFiles_GetFileInfo_1(clientPath, openFlags, format, handlerFlags, SetClientString) WXMPFiles_GetFileInfo_1 ( this->xmpFilesRef, clientPath, openFlags, format, handlerFlags, SetClientString, &wResult )
#define | zXMPFiles_SetAbortProc_1(abortProc, abortArg) WXMPFiles_SetAbortProc_1 ( this->xmpFilesRef, abortProc, abortArg, &wResult )
#define | zXMPFiles_GetXMP_1(xmpRef, clientPacket, packetInfo, SetClientString) WXMPFiles_GetXMP_1 ( this->xmpFilesRef, xmpRef, clientPacket, packetInfo, SetClientString, &wResult )
#define | zXMPFiles_PutXMP_1(xmpRef, xmpPacket, xmpPacketLen) WXMPFiles_PutXMP_1 ( this->xmpFilesRef, xmpRef, xmpPacket, xmpPacketLen, &wResult )
#define | zXMPFiles_CanPutXMP_1(xmpRef, xmpPacket, xmpPacketLen) WXMPFiles_CanPutXMP_1 ( this->xmpFilesRef, xmpRef, xmpPacket, xmpPacketLen, &wResult )
#define | zXMPFiles_SetDefaultProgressCallback_1(proc, context, interval, sendStartStop) WXMPFiles_SetDefaultProgressCallback_1 ( WrapProgressReport, proc, context, interval, sendStartStop, &wResult )
#define | zXMPFiles_SetProgressCallback_1(proc, context, interval, sendStartStop) WXMPFiles_SetProgressCallback_1 ( this->xmpFilesRef, WrapProgressReport, proc, context, interval, sendStartStop, &wResult )
#define | zXMPFiles_SetDefaultErrorCallback_1(proc, context, limit) WXMPFiles_SetDefaultErrorCallback_1 ( WrapFilesErrorNotify, proc, context, limit, &wResult )
#define | zXMPFiles_SetErrorCallback_1(proc, context, limit) WXMPFiles_SetErrorCallback_1 ( this->xmpFilesRef, WrapFilesErrorNotify, proc, context, limit, &wResult )
#define | zXMPFiles_ResetErrorCallbackLimit_1(limit) WXMPFiles_ResetErrorCallbackLimit_1 ( this->xmpFilesRef, limit, &wResult )

## Functions
static XMP_Bool | WrapProgressReport (XMP_ProgressReportProc proc, void *context, float elapsedTime, float fractionDone, float secondsToGo)
static XMP_Bool | WrapFilesErrorNotify (XMPFiles_ErrorCallbackProc proc, void *context, XMP_StringPtr filePath, XMP_ErrorSeverity severity, XMP_Int32 cause, XMP_StringPtr message)
void | WXMPFiles_GetVersionInfo_1 (XMP_VersionInfo *versionInfo)
void | WXMPFiles_Initialize_1 (XMP_OptionBits options, WXMP_Result *result)
void | WXMPFiles_Initialize_2 (XMP_OptionBits options, const char *pluginFolder, const char *plugins, WXMP_Result *result)
void | WXMPFiles_Terminate_1 ()
void | WXMPFiles_CTor_1 (WXMP_Result *result)
void | WXMPFiles_IncrementRefCount_1 (XMPFilesRef xmpFilesRef)
void | WXMPFiles_DecrementRefCount_1 (XMPFilesRef xmpFilesRef)
void | WXMPFiles_GetFormatInfo_1 (XMP_FileFormat format, XMP_OptionBits *flags, WXMP_Result *result)
void | WXMPFiles_CheckFileFormat_1 (XMP_StringPtr filePath, WXMP_Result *result)
void | WXMPFiles_CheckPackageFormat_1 (XMP_StringPtr folderPath, WXMP_Result *result)
void | WXMPFiles_GetFileModDate_1 (XMP_StringPtr filePath, XMP_DateTime *modDate, XMP_FileFormat *format, XMP_OptionBits options, WXMP_Result *result)
void | WXMPFiles_GetAssociatedResources_1 (XMP_StringPtr filePath, void *resourceList, XMP_FileFormat format, XMP_OptionBits options, SetClientStringVectorProc SetClientStringVector, WXMP_Result *result)
void | WXMPFiles_IsMetadataWritable_1 (XMP_StringPtr filePath, XMP_Bool *writable, XMP_FileFormat format, XMP_OptionBits options, WXMP_Result *result)
void | WXMPFiles_OpenFile_1 (XMPFilesRef xmpFilesRef, XMP_StringPtr filePath, XMP_FileFormat format, XMP_OptionBits openFlags, WXMP_Result *result)
void | WXMPFiles_CloseFile_1 (XMPFilesRef xmpFilesRef, XMP_OptionBits closeFlags, WXMP_Result *result)
void | WXMPFiles_GetFileInfo_1 (XMPFilesRef xmpFilesRef, void *clientPath, XMP_OptionBits *openFlags, XMP_FileFormat *format, XMP_OptionBits *handlerFlags, SetClientStringProc SetClientString, WXMP_Result *result)
void | WXMPFiles_SetAbortProc_1 (XMPFilesRef xmpFilesRef, XMP_AbortProc abortProc, void *abortArg, WXMP_Result *result)
void | WXMPFiles_GetXMP_1 (XMPFilesRef xmpFilesRef, XMPMetaRef xmpRef, void *clientPacket, XMP_PacketInfo *packetInfo, SetClientStringProc SetClientString, WXMP_Result *result)
void | WXMPFiles_PutXMP_1 (XMPFilesRef xmpFilesRef, XMPMetaRef xmpRef, XMP_StringPtr xmpPacket, XMP_StringLen xmpPacketLen, WXMP_Result *result)
void | WXMPFiles_CanPutXMP_1 (XMPFilesRef xmpFilesRef, XMPMetaRef xmpRef, XMP_StringPtr xmpPacket, XMP_StringLen xmpPacketLen, WXMP_Result *result)
void | WXMPFiles_SetDefaultProgressCallback_1 (XMP_ProgressReportWrapper wrapperproc, XMP_ProgressReportProc clientProc, void *context, float interval, XMP_Bool sendStartStop, WXMP_Result *result)
void | WXMPFiles_SetProgressCallback_1 (XMPFilesRef xmpFilesRef, XMP_ProgressReportWrapper wrapperproc, XMP_ProgressReportProc clientProc, void *context, float interval, XMP_Bool sendStartStop, WXMP_Result *result)
void | WXMPFiles_SetDefaultErrorCallback_1 (XMPFiles_ErrorCallbackWrapper wrapperProc, XMPFiles_ErrorCallbackProc clientProc, void *context, XMP_Uns32 limit, WXMP_Result *wResult)
void | WXMPFiles_SetErrorCallback_1 (XMPFilesRef xmpRef, XMPFiles_ErrorCallbackWrapper wrapperProc, XMPFiles_ErrorCallbackProc clientProc, void *context, XMP_Uns32 limit, WXMP_Result *wResult)
void | WXMPFiles_ResetErrorCallbackLimit_1 (XMPFilesRef xmpRef, XMP_Uns32 limit, WXMP_Result *wResult)

## Detailed Description

High level support to access metadata in files of interest to Adobe applications.

This header ...

Definition in file WXMPFiles.hpp.

## Macro Definition Documentation

## ◆ WrapCheckXMPFilesRef

#define WrapCheckXMPFilesRef | ( |  | result,
|  |  | WCallProto
| ) |  |

Value:
WXMP_Result wResult; \
WCallProto; \
PropagateException ( wResult ); \
XMPFilesRef result = XMPFilesRef(wResult.ptrResult)

Definition at line 35 of file WXMPFiles.hpp.

## ◆ zXMPFiles_CanPutXMP_1

#define zXMPFiles_CanPutXMP_1 | ( |  | xmpRef,
|  |  | xmpPacket,
|  |  | xmpPacketLen
| ) |  | WXMPFiles_CanPutXMP_1 ( this->xmpFilesRef, xmpRef, xmpPacket, xmpPacketLen, &wResult )

Definition at line 125 of file WXMPFiles.hpp.

## ◆ zXMPFiles_CheckFileFormat_1

#define zXMPFiles_CheckFileFormat_1 | ( |  | filePath | ) | WXMPFiles_CheckFileFormat_1 ( filePath, &wResult )

Definition at line 87 of file WXMPFiles.hpp.

## ◆ zXMPFiles_CheckPackageFormat_1

#define zXMPFiles_CheckPackageFormat_1 | ( |  | folderPath | ) | WXMPFiles_CheckPackageFormat_1 ( folderPath, &wResult )

Definition at line 90 of file WXMPFiles.hpp.

## ◆ zXMPFiles_CloseFile_1

#define zXMPFiles_CloseFile_1 | ( |  | closeFlags | ) | WXMPFiles_CloseFile_1 ( this->xmpFilesRef, closeFlags, &wResult )

Definition at line 110 of file WXMPFiles.hpp.

## ◆ zXMPFiles_CTor_1

#define zXMPFiles_CTor_1 | ( |  | ) | WXMPFiles_CTor_1 ( &wResult )

Definition at line 81 of file WXMPFiles.hpp.

## ◆ zXMPFiles_GetAssociatedResources_1

#define zXMPFiles_GetAssociatedResources_1 | ( |  | filePath,
|  |  | resourceList,
|  |  | format,
|  |  | options,
|  |  | SetClientStringVector
| ) |  | WXMPFiles_GetAssociatedResources_1 ( filePath, resourceList, format, options, SetClientStringVector, &wResult )

Definition at line 96 of file WXMPFiles.hpp.

## ◆ zXMPFiles_GetFileInfo_1

#define zXMPFiles_GetFileInfo_1 | ( |  | clientPath,
|  |  | openFlags,
|  |  | format,
|  |  | handlerFlags,
|  |  | SetClientString
| ) |  | WXMPFiles_GetFileInfo_1 ( this->xmpFilesRef, clientPath, openFlags, format, handlerFlags, SetClientString, &wResult )

Definition at line 113 of file WXMPFiles.hpp.

## ◆ zXMPFiles_GetFileModDate_1

#define zXMPFiles_GetFileModDate_1 | ( |  | filePath,
|  |  | modDate,
|  |  | format,
|  |  | options
| ) |  | WXMPFiles_GetFileModDate_1 ( filePath, modDate, format, options, &wResult )

Definition at line 93 of file WXMPFiles.hpp.

## ◆ zXMPFiles_GetFormatInfo_1

#define zXMPFiles_GetFormatInfo_1 | ( |  | format,
|  |  | flags
| ) |  | WXMPFiles_GetFormatInfo_1 ( format, flags, &wResult )

Definition at line 84 of file WXMPFiles.hpp.

## ◆ zXMPFiles_GetVersionInfo_1

#define zXMPFiles_GetVersionInfo_1 | ( |  | versionInfo | ) | WXMPFiles_GetVersionInfo_1 ( versionInfo /* no wResult */ )

Definition at line 69 of file WXMPFiles.hpp.

## ◆ zXMPFiles_GetXMP_1

#define zXMPFiles_GetXMP_1 | ( |  | xmpRef,
|  |  | clientPacket,
|  |  | packetInfo,
|  |  | SetClientString
| ) |  | WXMPFiles_GetXMP_1 ( this->xmpFilesRef, xmpRef, clientPacket, packetInfo, SetClientString, &wResult )

Definition at line 119 of file WXMPFiles.hpp.

## ◆ zXMPFiles_Initialize_1

#define zXMPFiles_Initialize_1 | ( |  | options | ) | WXMPFiles_Initialize_1 ( options, &wResult )

Definition at line 72 of file WXMPFiles.hpp.

## ◆ zXMPFiles_Initialize_2

#define zXMPFiles_Initialize_2 | ( |  | options,
|  |  | pluginFolder,
|  |  | plugins
| ) |  | WXMPFiles_Initialize_2 ( options, pluginFolder, plugins, &wResult )

Definition at line 75 of file WXMPFiles.hpp.

## ◆ zXMPFiles_IsMetadataWritable_1

#define zXMPFiles_IsMetadataWritable_1 | ( |  | filePath,
|  |  | writable,
|  |  | format,
|  |  | options
| ) |  | WXMPFiles_IsMetadataWritable_1 ( filePath, writable, format, options, &wResult )

Definition at line 99 of file WXMPFiles.hpp.

## ◆ zXMPFiles_OpenFile_1

#define zXMPFiles_OpenFile_1 | ( |  | filePath,
|  |  | format,
|  |  | openFlags
| ) |  | WXMPFiles_OpenFile_1 ( this->xmpFilesRef, filePath, format, openFlags, &wResult )

Definition at line 102 of file WXMPFiles.hpp.

## ◆ zXMPFiles_PutXMP_1

#define zXMPFiles_PutXMP_1 | ( |  | xmpRef,
|  |  | xmpPacket,
|  |  | xmpPacketLen
| ) |  | WXMPFiles_PutXMP_1 ( this->xmpFilesRef, xmpRef, xmpPacket, xmpPacketLen, &wResult )

Definition at line 122 of file WXMPFiles.hpp.

## ◆ zXMPFiles_ResetErrorCallbackLimit_1

#define zXMPFiles_ResetErrorCallbackLimit_1 | ( |  | limit | ) | WXMPFiles_ResetErrorCallbackLimit_1 ( this->xmpFilesRef, limit, &wResult )

Definition at line 140 of file WXMPFiles.hpp.

## ◆ zXMPFiles_SetAbortProc_1

#define zXMPFiles_SetAbortProc_1 | ( |  | abortProc,
|  |  | abortArg
| ) |  | WXMPFiles_SetAbortProc_1 ( this->xmpFilesRef, abortProc, abortArg, &wResult )

Definition at line 116 of file WXMPFiles.hpp.

## ◆ zXMPFiles_SetDefaultErrorCallback_1

#define zXMPFiles_SetDefaultErrorCallback_1 | ( |  | proc,
|  |  | context,
|  |  | limit
| ) |  | WXMPFiles_SetDefaultErrorCallback_1 ( WrapFilesErrorNotify, proc, context, limit, &wResult )

Definition at line 134 of file WXMPFiles.hpp.

## ◆ zXMPFiles_SetDefaultProgressCallback_1

#define zXMPFiles_SetDefaultProgressCallback_1 | ( |  | proc,
|  |  | context,
|  |  | interval,
|  |  | sendStartStop
| ) |  | WXMPFiles_SetDefaultProgressCallback_1 ( WrapProgressReport, proc, context, interval, sendStartStop, &wResult )

Definition at line 128 of file WXMPFiles.hpp.

## ◆ zXMPFiles_SetErrorCallback_1

#define zXMPFiles_SetErrorCallback_1 | ( |  | proc,
|  |  | context,
|  |  | limit
| ) |  | WXMPFiles_SetErrorCallback_1 ( this->xmpFilesRef, WrapFilesErrorNotify, proc, context, limit, &wResult )

Definition at line 137 of file WXMPFiles.hpp.

## ◆ zXMPFiles_SetProgressCallback_1

#define zXMPFiles_SetProgressCallback_1 | ( |  | proc,
|  |  | context,
|  |  | interval,
|  |  | sendStartStop
| ) |  | WXMPFiles_SetProgressCallback_1 ( this->xmpFilesRef, WrapProgressReport, proc, context, interval, sendStartStop, &wResult )

Definition at line 131 of file WXMPFiles.hpp.

## ◆ zXMPFiles_Terminate_1

#define zXMPFiles_Terminate_1 | ( |  | ) | WXMPFiles_Terminate_1 ( /* no wResult */ )

Definition at line 78 of file WXMPFiles.hpp.

## Function Documentation

## ◆ WrapFilesErrorNotify()

static XMP_Bool WrapFilesErrorNotify | ( | XMPFiles_ErrorCallbackProc | proc,
|  | void * | context,
|  | XMP_StringPtr | filePath,
|  | XMP_ErrorSeverity | severity,
|  | XMP_Int32 | cause,
|  | XMP_StringPtr | message
| ) |  |
| static

Definition at line 55 of file WXMPFiles.hpp.

57 {
58 bool ok;
59 try {
60 ok = (*proc) ( context, filePath, severity, cause, message );
61 } catch ( ... ) {
62 ok = false;
63 }
64 return ConvertBoolToXMP_Bool( ok );
65 }

References ConvertBoolToXMP_Bool.

## ◆ WrapProgressReport()

static XMP_Bool WrapProgressReport | ( | XMP_ProgressReportProc | proc,
|  | void * | context,
|  | float | elapsedTime,
|  | float | fractionDone,
|  | float | secondsToGo
| ) |  |
| static

Definition at line 41 of file WXMPFiles.hpp.

43 {
44 bool ok;
45 try {
46 ok = (*proc) ( context, elapsedTime, fractionDone, secondsToGo );
47 } catch ( ... ) {
48 ok = false;
49 }
50 return ConvertBoolToXMP_Bool( ok );
51 }

References ConvertBoolToXMP_Bool.

## ◆ WXMPFiles_CanPutXMP_1()

void WXMPFiles_CanPutXMP_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMPMetaRef | xmpRef,
|  | XMP_StringPtr | xmpPacket,
|  | XMP_StringLen | xmpPacketLen,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_CheckFileFormat_1()

void WXMPFiles_CheckFileFormat_1 | ( | XMP_StringPtr | filePath,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_CheckPackageFormat_1()

void WXMPFiles_CheckPackageFormat_1 | ( | XMP_StringPtr | folderPath,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_CloseFile_1()

void WXMPFiles_CloseFile_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMP_OptionBits | closeFlags,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_CTor_1()

void WXMPFiles_CTor_1 | ( | WXMP_Result * | result | ) |

## ◆ WXMPFiles_DecrementRefCount_1()

void WXMPFiles_DecrementRefCount_1 | ( | XMPFilesRef | xmpFilesRef | ) |

## ◆ WXMPFiles_GetAssociatedResources_1()

void WXMPFiles_GetAssociatedResources_1 | ( | XMP_StringPtr | filePath,
|  | void * | resourceList,
|  | XMP_FileFormat | format,
|  | XMP_OptionBits | options,
|  | SetClientStringVectorProc | SetClientStringVector,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_GetFileInfo_1()

void WXMPFiles_GetFileInfo_1 | ( | XMPFilesRef | xmpFilesRef,
|  | void * | clientPath,
|  | XMP_OptionBits * | openFlags,
|  | XMP_FileFormat * | format,
|  | XMP_OptionBits * | handlerFlags,
|  | SetClientStringProc | SetClientString,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_GetFileModDate_1()

void WXMPFiles_GetFileModDate_1 | ( | XMP_StringPtr | filePath,
|  | XMP_DateTime * | modDate,
|  | XMP_FileFormat * | format,
|  | XMP_OptionBits | options,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_GetFormatInfo_1()

void WXMPFiles_GetFormatInfo_1 | ( | XMP_FileFormat | format,
|  | XMP_OptionBits * | flags,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_GetVersionInfo_1()

void WXMPFiles_GetVersionInfo_1 | ( | XMP_VersionInfo * | versionInfo | ) |

## ◆ WXMPFiles_GetXMP_1()

void WXMPFiles_GetXMP_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMPMetaRef | xmpRef,
|  | void * | clientPacket,
|  | XMP_PacketInfo * | packetInfo,
|  | SetClientStringProc | SetClientString,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_IncrementRefCount_1()

void WXMPFiles_IncrementRefCount_1 | ( | XMPFilesRef | xmpFilesRef | ) |

## ◆ WXMPFiles_Initialize_1()

void WXMPFiles_Initialize_1 | ( | XMP_OptionBits | options,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_Initialize_2()

void WXMPFiles_Initialize_2 | ( | XMP_OptionBits | options,
|  | const char * | pluginFolder,
|  | const char * | plugins,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_IsMetadataWritable_1()

void WXMPFiles_IsMetadataWritable_1 | ( | XMP_StringPtr | filePath,
|  | XMP_Bool * | writable,
|  | XMP_FileFormat | format,
|  | XMP_OptionBits | options,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_OpenFile_1()

void WXMPFiles_OpenFile_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMP_StringPtr | filePath,
|  | XMP_FileFormat | format,
|  | XMP_OptionBits | openFlags,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_PutXMP_1()

void WXMPFiles_PutXMP_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMPMetaRef | xmpRef,
|  | XMP_StringPtr | xmpPacket,
|  | XMP_StringLen | xmpPacketLen,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_ResetErrorCallbackLimit_1()

void WXMPFiles_ResetErrorCallbackLimit_1 | ( | XMPFilesRef | xmpRef,
|  | XMP_Uns32 | limit,
|  | WXMP_Result * | wResult
| ) |  |

## ◆ WXMPFiles_SetAbortProc_1()

void WXMPFiles_SetAbortProc_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMP_AbortProc | abortProc,
|  | void * | abortArg,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_SetDefaultErrorCallback_1()

void WXMPFiles_SetDefaultErrorCallback_1 | ( | XMPFiles_ErrorCallbackWrapper | wrapperProc,
|  | XMPFiles_ErrorCallbackProc | clientProc,
|  | void * | context,
|  | XMP_Uns32 | limit,
|  | WXMP_Result * | wResult
| ) |  |

## ◆ WXMPFiles_SetDefaultProgressCallback_1()

void WXMPFiles_SetDefaultProgressCallback_1 | ( | XMP_ProgressReportWrapper | wrapperproc,
|  | XMP_ProgressReportProc | clientProc,
|  | void * | context,
|  | float | interval,
|  | XMP_Bool | sendStartStop,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_SetErrorCallback_1()

void WXMPFiles_SetErrorCallback_1 | ( | XMPFilesRef | xmpRef,
|  | XMPFiles_ErrorCallbackWrapper | wrapperProc,
|  | XMPFiles_ErrorCallbackProc | clientProc,
|  | void * | context,
|  | XMP_Uns32 | limit,
|  | WXMP_Result * | wResult
| ) |  |

## ◆ WXMPFiles_SetProgressCallback_1()

void WXMPFiles_SetProgressCallback_1 | ( | XMPFilesRef | xmpFilesRef,
|  | XMP_ProgressReportWrapper | wrapperproc,
|  | XMP_ProgressReportProc | clientProc,
|  | void * | context,
|  | float | interval,
|  | XMP_Bool | sendStartStop,
|  | WXMP_Result * | result
| ) |  |

## ◆ WXMPFiles_Terminate_1()

void WXMPFiles_Terminate_1 | ( |  | ) |

WXMP_Result::ptrResult
void * ptrResult
Definition: WXMP_Common.hpp:30
ConvertBoolToXMP_Bool
#define ConvertBoolToXMP_Bool(a)
Definition: XMP_Const.h:116
XMPFilesRef
struct __XMPFiles__ * XMPFilesRef
An "ABI safe" pointer to the internal part of an XMP file-handling object. Use to pass an XMP file-ha...
Definition: XMP_Const.h:151
WXMP_Result
Definition: WXMP_Common.hpp:28